Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter.select
Class TimestampFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.analysis.plugin.filter.select.TimestampFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public final class TimestampFilter

extends AbstractFilterPlugin

Allows to filter `IMonitoringRecord` objects based on their given timestamps. This class has several specialized input ports and a single output port. If the received record is within the defined timestamps, the object is delivered unmodified to the output port.

Since:
  1.2
Author:
  Andre van Hoorn, Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_IGNORE_AFTER_TIMESTAMP` This is the name of the property for the upper limit of the records.
`static String` | `CONFIG_PROPERTY_NAME_IGNORE_BEFORE_TIMESTAMP` This is the name of the property for the lower limit of the records.
`static String` | `CONFIG_PROPERTY_NAME_TIMEUNIT` This is the name of the property for the used time unit.
`static String` | `CONFIG_PROPERTY_VALUE_MAX_TIMESTAMP` The default used upper limit for the records.
`static String` | `CONFIG_PROPERTY_VALUE_MIN_TIMESTAMP` The default used lower limit for the records.
`static String` | `CONFIG_PROPERTY_VALUE_TIMEUNIT` The default used time unit.
`static String` | `INPUT_PORT_NAME_ANY_RECORD` The name of the input port accepting records of any type.
`static String` | `INPUT_PORT_NAME_COMBINED`
`static String` | `INPUT_PORT_NAME_EXECUTION` The name of the input port accepting execution records.
`static String` | `INPUT_PORT_NAME_FLOW` The name of the input port accepting flow records.
`static String` | `OUTPUT_PORT_NAME_OUTSIDE_PERIOD` The name of the output port delivering records which are not within the defined time limits.
`static String` | `OUTPUT_PORT_NAME_WITHIN_PERIOD` The name of the output port delivering records which are within the defined time limits.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`TimestampFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputCombined(IMonitoringRecord record)`
`void` | `inputIMonitoringRecord(IMonitoringRecord record)`
`void` | `inputOperationExecutionRecord(OperationExecutionRecord execution)` This method represents the input port receiving trace events to be selected by a specific timestamp selector (based on tin and tout).
`void` | `inputTraceEvent(IFlowRecord record)` This method represents the input port receiving trace events to be selected by a specific timestamp selector.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_ANY_RECORD

    public static final String INPUT_PORT_NAME_ANY_RECORD

  The name of the input port accepting records of any type.

  See Also:
    Constant Field Values

### INPUT_PORT_NAME_FLOW

    public static final String INPUT_PORT_NAME_FLOW

  The name of the input port accepting flow records.

  See Also:
    Constant Field Values

### INPUT_PORT_NAME_EXECUTION

    public static final String INPUT_PORT_NAME_EXECUTION

  The name of the input port accepting execution records.

  See Also:
    Constant Field Values

### INPUT_PORT_NAME_COMBINED

    public static final String INPUT_PORT_NAME_COMBINED

See Also:
  Constant Field Values

### OUTPUT_PORT_NAME_WITHIN_PERIOD

    public static final String OUTPUT_PORT_NAME_WITHIN_PERIOD

  The name of the output port delivering records which are within the defined time limits.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_OUTSIDE_PERIOD

    public static final String OUTPUT_PORT_NAME_OUTSIDE_PERIOD

  The name of the output port delivering records which are not within the defined time limits.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_TIMEUNIT

    public static final String CONFIG_PROPERTY_NAME_TIMEUNIT

  This is the name of the property for the used time unit.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_IGNORE_BEFORE_TIMESTAMP

    public static final String CONFIG_PROPERTY_NAME_IGNORE_BEFORE_TIMESTAMP

  This is the name of the property for the lower limit of the records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_IGNORE_AFTER_TIMESTAMP

    public static final String CONFIG_PROPERTY_NAME_IGNORE_AFTER_TIMESTAMP

  This is the name of the property for the upper limit of the records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_TIMEUNIT

    public static final String CONFIG_PROPERTY_VALUE_TIMEUNIT

  The default used time unit.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_MAX_TIMESTAMP

    public static final String CONFIG_PROPERTY_VALUE_MAX_TIMESTAMP

  The default used upper limit for the records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_MIN_TIMESTAMP

    public static final String CONFIG_PROPERTY_VALUE_MIN_TIMESTAMP

  The default used lower limit for the records.

  See Also:
    Constant Field Values

Constructor Detail

### TimestampFilter

    public TimestampFilter(Configuration configuration,
                           IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### getCurrentConfiguration

    public final Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### inputCombined

    public void inputCombined(IMonitoringRecord record)

### inputIMonitoringRecord

    public final void inputIMonitoringRecord(IMonitoringRecord record)

### inputTraceEvent

    public final void inputTraceEvent(IFlowRecord record)

  This method represents the input port receiving trace events to be selected by a specific timestamp selector.

  Parameters:
    `record` - The new incoming record.

### inputOperationExecutionRecord

    public final void inputOperationExecutionRecord(OperationExecutionRecord execution)

  This method represents the input port receiving trace events to be selected by a specific timestamp selector (based on tin and tout).

  Parameters:
    `execution` - The new incoming execution object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net